> For the complete documentation index, see [llms.txt](https://docs.swivel.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swivel.finance/swivel-v2.0.0/swivel-exchange/exchange-functions/splitting-combining-tokens.md).

# Splitting/Combining Tokens

## Splitting Underlying:

If a user wants to split their underlying into nTokens and zcTokens, they can do so by navigating to the `Positions` page.

From there a user can chose a market to participate in, and can split their underlying into tokens within that market.

![](/files/-MioGOhO5-YtMwcycTUl)

![](/files/-MioHfqqnu68Bzry-fQe)

1. Select `Split`.
2. Approve your underlying balance.
3. Enter the amount of underlying you would like to split.
4. Confirm the amount and then confirm the transaction in your web3 wallet when prompted.

## Combining nTokens/zcTokens:

A user can also combine their zcTokens & nTokens on the `Positions` page.

From there a user can chose a market, and can combine their zcTokens & nTokens within that market.

![](/files/-MioJL_dN7oRzd6To1q6)

![](/files/-MioJqJMwgOzqN8GFVaz)

1. Select `Combine` .
2. Enter the amount of zcTokens & nTokens you would like to combine.
3. Confirm the amount and then confirm the transaction in your web3 wallet when prompted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.swivel.finance/swivel-v2.0.0/swivel-exchange/exchange-functions/splitting-combining-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
